"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ROUTE_TABLE = Symbol('egg-decorator#routeTable');
// egg-core@4.4.0/lib/utils/router.js:11
exports.REST_MAP = {
    index: {
        suffix: '',
        method: 'Get'
    },
    new: {
        namePrefix: 'new_',
        member: true,
        suffix: 'new',
        method: 'Get'
    },
    create: {
        suffix: '',
        method: 'Post'
    },
    show: {
        member: true,
        suffix: ':id',
        method: 'Get'
    },
    edit: {
        member: true,
        namePrefix: 'edit_',
        suffix: ':id/edit',
        method: 'Get'
    },
    update: {
        member: true,
        namePrefix: '',
        suffix: ':id',
        method: ['Patch', 'Put']
    },
    destroy: {
        member: true,
        namePrefix: 'destroy_',
        suffix: ':id',
        method: 'Delete'
    }
};
exports.LAST_WORD_BLACKLIST = ['controller', 'router', 'routes'];
//# sourceMappingURL=def.js.map