"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let _app = null;
// Typically there is only one app instance in an egg application.
// So we use a store to make it easier to access.
// TODO: find out some way to support multiple applications
exports.store = {
    get app() {
        if (!_app) {
            throw new Error('egg-decorator is not registered correctly. Please check config/plugin.js.');
        }
        return _app;
    },
    set app(value) {
        _app = value;
    }
};
//# sourceMappingURL=store.js.map